{
  lib,
  pkgs,
  bootstrap,
  ...
}:

{
  packUrl,
  server,
  jre ? pkgs.jre,
}:

pkgs.writeShellScriptBin "minecraft-server" ''
  ${lib.getExe jre} -jar ${bootstrap} -g -s server ${packUrl}
  ${server}/bin/${server.name}
''
